Source and Target OS and DBMS Compatibility

  • Source and Target must have the same major Oracle version and Edition (Enterprise/Standard). It is recommended to also have the same minor versions and patches.
    • If the minor version (specified with the second digit with Oracle version 18+, or the dated patch level with Oracle version 12.2) or patches differ between the source and target, then a plug-in violation will be received when opening the vPDB on the target, and will need to run datapatch manually or via a hook to resolve it.
  • Source and Target operating systems must be compatible. E.g., AIX -> AIX, Solaris SPARC -> Solaris SPARC, x86_64 Linux -> x86_64 Linux.
  • In addition, x86_64 Solaris -> x86_64 Linux and x86_64 Linux -> x86_64 Solaris is supported.

Oracle 10.2.0.4

The Delphix Engine does not support Oracle 10.2.0.4 databases using Automatic Storage Management (ASM) that do not have the patch set for Oracle Bug 7207932. This bug is fixed in patch set 10.2.0.4.2 onward. 

Disclaimers and Support Notes

Due to some specific ExaCC platform characteristics, Delphix provides controlled support for the ExaCC platform, which requires additional verification. Please contact your Delphix representative to start your qualification process.

Delphix Support Policies specifically list major and minor release coverage. If a minor release is listed as covered, all patch releases under that minor release are certified. Support applies to corresponding versions of Community Enterprise Operating System (CentOS) / Oracle Linux (OL), 64-bit OS support only. 

The Oracle version in the support matrix applies to both Oracle DB and Oracle Grid. Delphix supports the same set of features and functionality for supported non-multitenant database versions. Delphix does not currently support the Oracle 12c feature of THREADED_EXECUTION being set to TRUE, because this disables OS authentication.

Summary of Delphix features that are unsupported for the Oracle12c and higher Multi-tenant configuration:

  • Existing Virtual Container Database (vCDB) as target for provisioning an additional vPDB
  • Customize VDB settings/initialization parameters. Includes the following:
    • Customize init.ora database parameter during provisioning
    • Config templates
    • Online redo log size
    • Number of RAC VDB instances
    • Online redo log groups
    • Archive log mode
    • Setting new DBID
    • Customize local listeners
  • Virtual to Physical (V2P) Support
  • For vPDBs in non-virtual CDBs, automatic restart on target server reboot
  • Resumable initial SnapSync
  • Validated Sync
  • Source continuity for dSource upgraded from Oracle 12c non-multitenant to multitenant database
  • Cross-platform provisioning (XPP) to the virtual database
  • Oracle LiveSources

Color

Supported? 


Yes

No

Not Applicable

Oracle Database Editions

Delphix supports the following Oracle database editions:

  • Enterprise
  • Standard

Red Hat Enterprise Linux (RHEL) 

Support for RHEL 8.x requires installing the libncurses.5 library onto the host. Please reference KBA 5622 for actionable steps.

Supported DBMS Version

Oracle 10g

Oracle 11gR1

Oracle 11gR2

Oracle 12cR1

Oracle 12cR2

Oracle 18cOracle 19c

Supported OS Version
RHEL 5.5SupportedSupportedSupportedN/AN/AN/AN/A
RHEL 5.6SupportedSupportedSupportedSupportedN/AN/AN/A
RHEL 5.7SupportedSupportedSupportedSupportedN/AN/AN/A
RHEL 5.8SupportedSupportedSupportedSupportedN/AN/AN/A
RHEL 5.9SupportedSupportedSupportedSupportedN/AN/AN/A
RHEL 5.10SupportedSupportedSupportedSupportedN/AN/AN/A
RHEL 5.11SupportedSupportedSupportedSupportedN/AN/AN/A
RHEL 6.0N/AN/ASupportedSupportedN/AN/AN/A
RHEL 6.1N/AN/ASupportedSupportedN/AN/AN/A
RHEL 6.2N/AN/ASupportedSupportedN/AN/AN/A
RHEL 6.3N/AN/ASupportedSupportedN/AN/AN/A
RHEL 6.4N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 6.5N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 6.6N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 6.7N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 6.8N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 6.9N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 6.10N/AN/ASupported Supported Supported Supported N/A
RHEL 7.0N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 7.1N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 7.2N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 7.3N/AN/ASupportedSupportedSupportedSupported N/A
RHEL 7.4N/AN/ASupportedSupportedSupportedSupported Supported 
RHEL 7.5N/AN/ASupported SupportedSupported Supported Supported 
RHEL 7.6N/AN/ASupported Supported Supported Supported Supported 
RHEL 7.7N/AN/ASupported Supported Supported Supported Supported 
RHEL 7.8N/AN/ASupported in 6.0.2+Supported in 6.0.2+Supported in 6.0.2+Supported in 6.0.2+Supported in 6.0.2+
RHEL 7.9N/AN/ASupported in 6.0.4+Supported in 6.0.4+Supported in 6.0.4+Supported in 6.0.5+Supported in 6.0.4+
RHEL 8.0N/AN/AN/AN/AN/AN/ASupported in 6.0.3+
RHEL 8.1N/AN/AN/AN/AN/AN/ASupported in 6.0.3+
RHEL 8.2N/AN/AN/AN/AN/AN/ASupported in 6.0.3+
RHEL 8.3N/AN/AN/AN/AN/AN/ASupported in 6.0.7+

SUSE Linux Enterprise Server (SLES)

Support for SLES 15 requires installing the libncurses.5 library onto the host. Please reference KBA 5622 for actionable steps.


Supported DBMS Version

Oracle 10g

Oracle 11gR1

Oracle 11gR2

Oracle 12cR1

Oracle 12cR2

Oracle 18cOracle 19c


Supported OS Version
SLES 11SupportedSupportedSupportedN/AN/AN/AN/A
SLES 11 SP1SupportedSupportedSupportedN/AN/AN/AN/A
SLES 11 SP2SupportedSupportedSupportedSupportedN/AN/AN/A
SLES 11 SP3SupportedSupportedSupportedSupportedN/AN/AN/A
SLES 11 SP4Not SupportedNot SupportedSupportedSupportedN/AN/AN/A
SLES 12N/AN/ASupportedSupportedN/AN/AN/A
SLES 12 SP1N/AN/ASupportedSupportedSupportedSupported N/A
SLES 12 SP2N/AN/ASupportedSupportedSupportedSupported N/A
SLES 12 SP3N/AN/ASupported Supported Supported Supported Supported 
SLES 12 SP4N/AN/ASupported Supported Supported Supported Supported
SLES 12 SP5N/AN/AN/ASupported in 6.0.4+Supported in 6.0.4+Not Supported Supported in 6.0.4+
SLES 15N/AN/ANot SupportedNot SupportedSupported Supported Supported
SLES 15 SP1N/AN/ANot SupportedNot SupportedNot SupportedNot SupportedSupported

Solaris SPARC


Supported DBMS Version

Oracle 10g

Oracle 11gR1

Oracle 11gR2

Oracle 12cR1

Oracle 12cR2

Oracle 18c

Oracle 19c


Supported OS Version

Solaris 10 U91SupportedSupportedSupportedN/AN/AN/AN/A
Solaris 10 U101SupportedSupportedSupportedSupportedN/AN/AN/A
Solaris 10 U11SupportedSupportedSupportedSupportedNot supportedSupportedN/A
Solaris 11N/AN/ASupportedSupportedN/AN/AN/A
Solaris 11 U1N/AN/ASupportedSupportedN/AN/AN/A
Solaris 11 U2N/AN/ASupportedSupportedSupportedSupportedN/A
Solaris 11 U3N/AN/ANot SupportedSupportedSupportedSupportedSupported
Solaris 11 U4N/AN/ANot SupportedNot SupportedSupportedSupportedSupported

1 - Solaris 10 U9 and U10 require libc.so.1 version 1.22.7 or newer. This version of libc.so.1 can be found in Solaris 10 SPARC kernel patch 144500, or a newer kernel patch.

Solaris x86 


Supported DBMS Version

Oracle 10g

Oracle 11gR1

Oracle 11gR2

Oracle 12cR1

Oracle 12cR2

Oracle 18cOracle 19c 


Supported OS Version
Solaris 10 U91SupportedSupportedSupportedN/AN/AN/AN/A
Solaris 10 U101SupportedSupportedSupportedSupportedN/AN/AN/A
Solaris 10 U11SupportedSupportedSupportedSupportedN/ASupported N/A
Solaris 11N/AN/ASupportedSupportedN/AN/AN/A
Solaris 11 U1N/AN/ASupportedSupportedN/AN/AN/A
Solaris 11 U2N/AN/ASupported

Supported

Supported
Supported N/A
Solaris 11 U3N/AN/ANot SupportedSupported
Supported
Supported 
Supported
Solaris 11 U4N/AN/ANot SupportedNot SupportedSupported Supported Supported

1 - Solaris 10 U9 and U10 require libc.so.1 version 1.22.7 or newer. This version of libc.so.1 can be found in Solaris 10 SPARC kernel patch 144500, or a newer kernel patch.

Hewlett Packard Unix (HP-UX)

Supported DBMS Version

Oracle 10g


Oracle 11gR1

Oracle 11gR2

Oracle 12cR1

Oracle 12cR2

Oracle 18c


Oracle 19c


Supported OS Version

HP-UX 11.31

Supported

Supported

Supported

Supported

Supported
Not SupportedNot Supported


Advanced Interactive eXecutive (AIX)

Supported DBMS Version

Oracle 10g


Oracle 11gR1

Oracle 11gR2

Oracle 12cR1

Oracle 12cR2

Oracle 18c


Oracle 19c


Supported OS Version

AIX 6.1

Supported

Supported

Supported

Supported

Not SupportedNot SupportedN/A

AIX 7.1

N/A

N/A

Supported

Supported

SupportedSupportedSupported

AIX 7.2

N/A

N/A

Supported

Supported

SupportedSupportedSupported



Delphix supports all x86/x64 CPU environments for source and target.

Required HP-UX patch for Target Servers

  PHNE_37851 - resolves a known bug in HP-UX NFS client prior to HP-UX 11.31.